Skip to main content
PUT
Update Template

Headers

Content-Type
string
required

Allowed value: application/json.

Authorization
string
required

Bearer authentication format, e.g.: Bearer {{API_KEY}}.

Path Parameters

template_id
string
required

Template ID. String, length: 1-255 characters.

Body

application/json
name
string

Template name.

Example:

"pytorch-2.3-cuda12"

type
string

Template type.

Example:

"instance"

image
string

Image address.

Example:

"registry.example.com/ml/pytorch:2.3-cuda12"

registry_auth_id
string

Registry authentication ID.

Example:

"auth-001"

command
string

Startup command.

Example:

"jupyter lab --ip=0.0.0.0"

entrypoint
string

Image entrypoint.

Example:

"/bin/bash"

rootfs_size_gb
integer

Root disk size. Unit: GB.

Example:

50

ports
object[]

Exposed port configuration.

envs
object[]

Environment variables.

metadata
object

Template metadata.

min_cuda_version
string

Minimum CUDA version.

Example:

"12.2"

Response

200 - application/json

OK

template_id
string

Template ID

Example:

"tpl-001"

Last modified on June 23, 2026